<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./WEB-INF/adminTemplate.xhtml">

            <ui:define name="content">





                <br/>

                <p:fieldset legend="Pesquisa de Usuário">

                    <p:messages id="messages" />

                    <h:form>

                        <h:outputLabel for="txtPesquisa" value="Pesquira: *" /><br/>
                        <p:inputText id="txtPesquisa" value="#{pesquisaUsuarioBean.nome}"  label="Pesquisa" />
                        
                        <p:commandButton value="Pesquisar" actionListener="#{pesquisaUsuarioBean.pesquisar}" update="tabela" />

                        <p:dataTable id="tabela" value="#{pesquisaUsuarioBean.lista}" var="usuario">

                            <p:column headerText="Código">
                                #{usuario.id}
                            </p:column>

                            <p:column headerText="Nome">
                                #{usuario.nome}
                            </p:column>

                            <p:column headerText="Ações">

                                

                              

                            </p:column>
                        </p:dataTable>

                    </h:form>

                </p:fieldset>
            </ui:define>

        </ui:composition>

    </body>
</html>
